> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timbrix.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke access token

> ⚠️ SECURITY: Revokes an OAuth access token. Requires OAuth authentication with scope "write:oauth-apps". Revoked tokens cannot be used for API access.



## OpenAPI

````yaml https://api.timbrix.mx/api/openapi.json delete /oauth/token/{tokenId}
openapi: 3.0.0
info:
  title: Timbrix API
  description: >-
    API de facturación electrónica CFDI 4.0 para México, con servidor OAuth2
    para gestionar organizaciones, miembros y webhooks. Compatible con agentes
    de IA — ver la extensión `x-ai-agent-friendly` en la raíz de esta spec.


    REST API with OAuth2 server for managing organizations, members, and
    webhooks.
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: organizations
    description: Organization management endpoints
  - name: oauth
    description: OAuth2 authentication and authorization
  - name: webhooks
    description: Webhook configuration and delivery
  - name: users
    description: User information endpoints
  - name: api-keys
    description: API Keys management and validation
paths:
  /oauth/token/{tokenId}:
    delete:
      tags:
        - oauth
      summary: Revoke access token
      description: >-
        ⚠️ SECURITY: Revokes an OAuth access token. Requires OAuth
        authentication with scope "write:oauth-apps". Revoked tokens cannot be
        used for API access.
      operationId: OAuthController_revokeToken
      parameters:
        - name: tokenId
          required: true
          in: path
          schema:
            type: string
      responses:
        '204':
          description: >-
            Token revoked successfully. The token can no longer be used for
            authentication.
        '401':
          description: Authentication required. Provide a valid OAuth token.
        '403':
          description: 'Insufficient scope. Required scope: write:oauth-apps'
        '404':
          description: Token not found with the provided token ID.
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````